Die BPC Version 4.1 wird nicht mehr gewartet.

Sollten Sie diese BPC Version nutzen, empfehlen wir Ihnen eine Migration auf eine aktuelle Version. Die Dokumentation zur neusten BPC Version finden Sie hier. Sollten Sie Fragen haben, wenden Sie sich bitte an unseren Support.

Method Endpoint

GET

/cxf/bpc-core/storage/store/{storeId}

Description

Get store items from the OpenSearch index bpc-store-<storeId>. Returns an empty response when the store does not exist.

Path Parameter

storeId

the ID of the store from which to retrieve items

Query Parameter

timezoneOffset

time zone offset, such as GMT+2 (optional). Used when a date field is accessed in the filter with a range operator such as "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. timezoneName is used before timezoneOffset if both are set.

timezoneName

timezone name like Europe/Berlin (optional). Is used if a date field is accessed in the filter with a range operator like "gt", "gte", "lt", "lte", ">", ">=", ",<,", ",<,=". UTC is the default. <INLINE_CODE_12/> is used before <INLINE_CODE_13/> if both are set.<NL/><INLINE_CODE_14/>:: first record to be read (optional, default = 0). Default is <INLINE_CODE_15/>.<NL/><INLINE_CODE_16/>:: number of records to read (optional, default = 1000, max. 10,000). The default is <INLINE_CODE_17/>.<NL/><INLINE_CODE_18/>:: simple search (optional). Example: <INLINE_CODE_19/>. Additional information on the <URL_0>Lucene Query String Syntax</URL_0>.<NL/><INLINE_CODE_20/>:: complex filter format as used by the monitor endpoint (optional). Example: <INLINE_CODE_21/><NL/><INLINE_CODE_22/>:: specification of the field by which the entries should be sorted (optional). Format: fieldname\<PIPE/>[ASC\<PIPE/>DESC]. Example: <INLINE_CODE_23/>. Multiple sorting instructions can be specified, separated by commas.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>The requested store items as JSON<NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_24/> : OK<NL/>- <INLINE_CODE_25/> : OpenSearch Service not found<NL/>- <INLINE_CODE_26/> : The provided JSON could not be parsed<NL/>- <INLINE_CODE_27/> : Something went wrong while accessing OpenSearch<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_28/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_0/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>5+<PIPE/> <ADMONITION_1> <INLINE_CODE_29/></ADMONITION_1><PIPE/> <INLINE_CODE_30/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Retrieve a specific store item from the OpenSearch index <INLINE_CODE_31/>.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_32/>:: the ID of the store to retrieve data from<NL/><INLINE_CODE_33/>:: the ID of the item<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>The requested store item as JSON<NL/><NL/>HTTP status code<NL/><NL/>- <INLINE_CODE_34/> : OK<NL/>- <INLINE_CODE_35/> : No access rights<NL/>- <INLINE_CODE_36/> : OpenSearch service not found<NL/>- <INLINE_CODE_37/> : Store not found<NL/>- <INLINE_CODE_38/> : Store item not found<NL/>- <INLINE_CODE_39/> : Something went wrong while accessing OpenSearch<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_40/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_1/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>6+<PIPE/> <ADMONITION_2> <INLINE_CODE_41/></ADMONITION_2><PIPE/> <INLINE_CODE_42/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Creates a new store item.<NL/>Writes the provided store item data to the OpenSearch index <INLINE_CODE_43/>.<NL/>It uses a new ID for the store item and sets this ID in the provided store item data as well.<NL/>Unrecognized elements at the root level are automatically saved to the 'customFields' field to avoid OpenSearch mapping issues.<NL/><NL/><BLOCK_TITLE/>Example of all fields<NL/><SOURCE_BLOCK_0/><NL/><NL/><BOLD><BOLD>Fields</BOLD></BOLD><NL/><NL/><INLINE_CODE_44/> (irrelevant) :: ID of the store item. A new random UUID is set instead.<NL/><INLINE_CODE_45/> (optional) :: The ID of the module to which the store item belongs. Can be used as a filter value when retrieving items.<NL/><INLINE_CODE_46/> (optional) :: The ID of the module instance to which the store item belongs. Can be used as a filter value when retrieving items.<NL/><INLINE_CODE_47/> (optional) :: The name of the store item (be creative). Can be used as a filter value when retrieving items.<NL/><INLINE_CODE_48/> (required) :: The actual value/content/data of the store item.<NL/><INLINE_CODE_49/> (optional) :: To mark the store item as a favorite. Defaults to false.<NL/><INLINE_CODE_50/> (required) :: The read restrictions. Define who can read this item. At least one of the subelements must be set.<NL/><INLINE_CODE_51/> (optional) :: Only this username has read access to this store item. When set, the other fields—'organizations', 'roles', and 'rights'—are not saved.<NL/><INLINE_CODE_52/> (optional) :: Anyone associated with one of these organizations has read access to this store item.<NL/><INLINE_CODE_53/> (optional) :: Anyone with one of these roles has read access to this store item.<NL/><INLINE_CODE_54/> (optional) :: Anyone with one of these rights has read access to this store item.<NL/><INLINE_CODE_55/> (required) :: The write restrictions. Define who can update and delete this item. At least one of the subelements must be set.<NL/><INLINE_CODE_56/> (optional) :: Only this username has write access to this store item. When set, the other fields—'organizations', 'roles', and 'rights'—are not saved.<NL/><INLINE_CODE_57/> (optional) :: Anyone associated with one of these organizations has write access to this store item.<NL/><INLINE_CODE_58/> (optional) :: Anyone with one of these roles has write access to this store item.<NL/><INLINE_CODE_59/> (optional) :: Anyone with one of these rights has write access to this store item.<NL/><INLINE_CODE_60/> (optional) :: Values that do not fit into the 'value' field.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Consumes</BOLD></BOLD><NL/><NL/>- <INLINE_CODE_61/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_62/>:: the ID of the store<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>The ID of the created store item<NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_63/> : OK<NL/>- <INLINE_CODE_64/> : OpenSearch service not found<NL/>- <INLINE_CODE_65/> : Store not found<NL/>- <INLINE_CODE_66/> : Mandatory fields missing<NL/>- <INLINE_CODE_67/> : Store could not be created<NL/>- <INLINE_CODE_68/> : Problem with the provided JSON<NL/>- <INLINE_CODE_69/> : Something went wrong while accessing OpenSearch<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_70/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_2/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>6+<PIPE/> <ADMONITION_3> <INLINE_CODE_71/></ADMONITION_3><PIPE/> <INLINE_CODE_72/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Creates or updates a store item.<NL/>Writes the store item data provided in the body to the OpenSearch index <INLINE_CODE_73/>.<NL/>An existing store item is updated, and a nonexistent one is created.<NL/>Unrecognized elements at the root level are automatically saved to the 'customFields' field to avoid OpenSearch mapping issues.<NL/><NL/><BLOCK_TITLE/>Example of all fields<NL/><SOURCE_BLOCK_1/><NL/><NL/><BOLD><BOLD>Fields</BOLD></BOLD><NL/><NL/><INLINE_CODE_74/> (irrelevant) :: ID of the store item. The path parameter is set in the given document instead.<NL/><INLINE_CODE_75/> (optional) :: The ID of the module to which the store item belongs. Can be used as a filter value when retrieving items.<NL/><INLINE_CODE_76/> (optional) :: The ID of the module instance to which the store item belongs. Can be used as a filter value when retrieving items.<NL/><INLINE_CODE_77/> (optional) :: The name of the store item (be creative). Can be used as a filter value when retrieving items.<NL/><INLINE_CODE_78/> (required) :: The actual value/content/data of the store item.<NL/><INLINE_CODE_79/> (optional) :: To mark the store item as a favorite. Defaults to false.<NL/><INLINE_CODE_80/> (required) :: The read restrictions. Define who can read this item. At least one of the subelements must be set.<NL/><INLINE_CODE_81/> (optional) :: Only this username has read access to this store item. When set, the other fields—'organizations', 'roles', and 'rights'—are not saved.<NL/><INLINE_CODE_82/> (optional) :: Anyone with one of these organizations has read access to this store item.<NL/><INLINE_CODE_83/> (optional) :: Anyone with one of these roles has read access to this store item.<NL/><INLINE_CODE_84/> (optional) :: Anyone with one of these rights has read access to this store item.<NL/><INLINE_CODE_85/> (required) :: The write restrictions. Define who can update and delete this item. At least one of the subelements must be set.<NL/><INLINE_CODE_86/> (optional) :: Only this username has write access to this store item. When set, the other fields—'organizations', 'roles', and 'rights'—are not saved.<NL/><INLINE_CODE_87/> (optional) :: Anyone with one of these organizations has write access to this store item.<NL/><INLINE_CODE_88/> (optional) :: Anyone with one of these roles has write access to this store item.<NL/><INLINE_CODE_89/> (optional) :: Anyone with one of these rights has write access to this store item.<NL/><INLINE_CODE_90/> (optional) :: Values that do not fit into the 'value' field.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Consumes</BOLD></BOLD><NL/><NL/>- <INLINE_CODE_91/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_92/>:: the ID of the store<NL/><INLINE_CODE_93/>:: the ID of the item<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_94/> : OK<NL/>- <INLINE_CODE_95/> : Insufficient access rights to update the store item<NL/>- <INLINE_CODE_96/> : OpenSearch service not found<NL/>- <INLINE_CODE_97/> : Store not found<NL/>- <INLINE_CODE_98/> : Mandatory fields missing<NL/>- <INLINE_CODE_99/> : Store could not be created<NL/>- <INLINE_CODE_100/> : Problem with the provided JSON<NL/>- <INLINE_CODE_101/> : Something went wrong while accessing OpenSearch<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_102/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_3/><NL/><NL/><NL/>// ================================================================================================<NL/><NL/><BLOCK_TITLE/>5+<PIPE/> <ADMONITION_4> <INLINE_CODE_103/></ADMONITION_4><PIPE/> <INLINE_CODE_104/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Description</BOLD></BOLD><NL/><NL/>Deletes a specific store item from the OpenSearch index <INLINE_CODE_105/>.<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Path Parameter</BOLD></BOLD><NL/><NL/><INLINE_CODE_106/>:: the ID of the store<NL/><INLINE_CODE_107/>:: the ID of the item to delete<NL/><NL/>1+a<PIPE/><BOLD><BOLD>Returns</BOLD></BOLD><NL/><NL/>HTTP Status Code<NL/><NL/>- <INLINE_CODE_108/> : OK<NL/>- <INLINE_CODE_109/> : Insufficient access rights to delete the store item<NL/>- <INLINE_CODE_110/> : OpenSearch Service not found<NL/>- <INLINE_CODE_111/> : Store not found<NL/>- <INLINE_CODE_112/> : Store item not found<NL/>- <INLINE_CODE_113/> : Something went wrong while accessing OpenSearch<NL/><NL/>Content-Type<NL/><NL/>- <INLINE_CODE_114/><NL/><NL/>1+a<PIPE/><BOLD><BOLD>Required Access Rights</BOLD></BOLD><NL/><NL/><INCLUDE_4/><NL/><NL/><NL/><TABLE/><NL/>